/*
 * arpalab.h
 *
 *  Created on: 12/05/2013
 *      Author: Jordi Fenés
 */

#ifndef ARPALAB_H_
#define ARPALAB_H_

uint8_t Arpa_Init(uint8_t PortNum, uint32_t Baudrate);
uint8_t Arpa_End(uint8_t PortNum);
uint8_t Arpa_Send(uint8_t PortNum, char *Host, char *Param, int32_t Value);
int32_t Arpa_Read(uint8_t PortNum, char *Host, char *Param);
uint8_t Arpa_Send_Error(uint32_t Limit, uint8_t Init);
uint8_t Arpa_Read_Error(uint32_t Limit, uint8_t Init);

#endif /* ARPALAB_H_ */
