/*
 * sleep.h
 *
 *  Created on: 11/05/2013
 *      Author: Jordi Fenés
 */
/***********************************************************************//**
 * @file		sleep.h  ->  based to AN10915.pdf and derived of lpc17xx_clkpwr.h
 * @brief		Contains all macro definitions and function prototypes
 * 				support for Clock and Power Control firmware library on LPC17xx
 * @version		2.0
 * @date		21. May. 2010
 * @author		NXP MCU SW Application Team
 **************************************************************************/

#ifndef SLEEP_H_
#define SLEEP_H_

#define SLEEP			0
#define DEEPSLEEP		1
#define POWERDOWN		2
#define DEEPPOWERDOWN	3

/* Public Functions ----------------------------------------------------------- */

void Sleep(void);
void DeepSleep(void);
void PowerDown(void);
void DeepPowerDown(void);

#endif /* SLEEP_H_ */
