/*
 * printf.h
 *
 *  Created on: 20/03/2013
 *      Author: Jordi Fenés
 */

#ifndef PRINTF_H_
#define PRINTF_H_

#define Overflow	"Overflow !!!!\r\n"

void Print_Flush(uint8_t PortNum);
uint8_t Print_Init(uint8_t PortNum, uint32_t Baudrate);
uint8_t Print_End(uint8_t PortNum);
void Print_Text(uint8_t PortNum , char *Text);
void Print_T_CRLF(uint8_t PortNum , char *Text);
void Print_2T_CRLF(uint8_t PortNum, uint8_t PortTerm , char *Text);
void Print_TT_CRLF(uint8_t PortNum , char *Text , char *Word);
void Print_TextNum(uint8_t PortNum , char *Text , int32_t Num);
void Print_TextFloat(uint8_t PortNum , char *Text , float Num);
void Print_TN_CRLF(uint8_t PortNum , char *Text , int32_t Num);
void Print_TF_CRLF(uint8_t PortNum , char *Text , float Num);
uint32_t UART_Scanf(uint8_t PortNum, char *Text, uint32_t Time);
uint32_t UART_Read(uint8_t PortNum, char *Text, char *Value, uint32_t Time, uint32_t Size);
uint8_t Check_Read(uint8_t PortNum, char *Text, char *Value, uint32_t Time, uint32_t Size);

#endif /* PRINTF_H_ */
